// Generated by gencpp from file teleop_msgs/SDGains.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_SDGAINS_H
#define TELEOP_MSGS_MESSAGE_SDGAINS_H

#include <ros/service_traits.h>


#include <teleop_msgs/SDGainsRequest.h>
#include <teleop_msgs/SDGainsResponse.h>


namespace teleop_msgs
{

struct SDGains
{

typedef SDGainsRequest Request;
typedef SDGainsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct SDGains
} // namespace teleop_msgs


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::teleop_msgs::SDGains > {
  static const char* value()
  {
    return "da7436754c6eed502ac4bf2d5d8f6b56";
  }

  static const char* value(const ::teleop_msgs::SDGains&) { return value(); }
};

template<>
struct DataType< ::teleop_msgs::SDGains > {
  static const char* value()
  {
    return "teleop_msgs/SDGains";
  }

  static const char* value(const ::teleop_msgs::SDGains&) { return value(); }
};


// service_traits::MD5Sum< ::teleop_msgs::SDGainsRequest> should match
// service_traits::MD5Sum< ::teleop_msgs::SDGains >
template<>
struct MD5Sum< ::teleop_msgs::SDGainsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::SDGains >::value();
  }
  static const char* value(const ::teleop_msgs::SDGainsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::SDGainsRequest> should match
// service_traits::DataType< ::teleop_msgs::SDGains >
template<>
struct DataType< ::teleop_msgs::SDGainsRequest>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::SDGains >::value();
  }
  static const char* value(const ::teleop_msgs::SDGainsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::teleop_msgs::SDGainsResponse> should match
// service_traits::MD5Sum< ::teleop_msgs::SDGains >
template<>
struct MD5Sum< ::teleop_msgs::SDGainsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::SDGains >::value();
  }
  static const char* value(const ::teleop_msgs::SDGainsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::SDGainsResponse> should match
// service_traits::DataType< ::teleop_msgs::SDGains >
template<>
struct DataType< ::teleop_msgs::SDGainsResponse>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::SDGains >::value();
  }
  static const char* value(const ::teleop_msgs::SDGainsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_SDGAINS_H
